#include <avr/io.h>
#include <avr/interrupt.h>

#include "ucos_src/atmega128/os_cpu.h"
#include "os_cfg.h"                    // os_cpu.h utn kell lennie, mert abban van az INT8U definilva
#include "ucos_src/core/ucos_ii.h"     // os_cfg.h utn kell lennie, hogy rendelkezsre lljanak a konfigurcis konstansok

#include "ucos_src/atmega128/avr_isr.h"  // ISR support macros


// Sajt include fjlok innen kezdve kvetkezhetnek:

#include <stdio.h>

/*
 * Az LCD, A/D konverter s soros porti API-k futtathat kdjai a "libboard.a"
 * libraryban vannak. gy azt hozz kell adni a linkelend objektumokhoz.
 * AVR Studio 4.13 (b528) alatt:
 * Projects / Configuration Options / Libraries / libboard.a / Add Library
 *
 * Az LCD s a soros port inicializlshoz meg kell adni az MCU frekvencijt.
 * Az alkalmazott mrpanelen ez 11,0592 MHz. Ettl eltr rtk esetn az F_CPU
 * konstanst fell kell definilni. Ez az AVR Studio 4.13 (b528) GUI all, a
 * forrskd trsa nlkl is megtehet:
 * Projects / Configuration Options / General / Frequency:)
 *
 * Az LCD API helyes mkdse rdekben be kell kapcsolni a fordti
 * optimalizcit. Ez legalbb az "-O2" kapcsolt jelenti. AVR Studio 4.13
 * (b528) alatt:
 * Projects / Configuration Options / General / Optimization: -O2
 */
#include <board/lcd.h>
#include <board/adc.h>
#include <board/serial.h>
